# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack.package import *


class PyFairgraph(PythonPackage):
    """High-level Python API for the EBRAINS Knowledge Graph."""

    homepage = "https://github.com/HumanBrainProject/fairgraph"
    pypi = "fairgraph/fairgraph-0.8.1.tar.gz"

    maintainers = ["apdavison"]

    version("0.8.1", sha256="2d2b3c01cd461b0dcddd5cbe3903d59f67d4a1d2f5fee92b6e25281b087a3e81")

    depends_on("py-setuptools", type="build")

    depends_on("py-ebrains-kg-core", type=("build", "run"))
    depends_on("py-pyld@0.8.2", type=("build", "run"))
    depends_on("py-pathlib2", type=("build", "run"))
    depends_on("py-python-dateutil", type=("build", "run"))
    depends_on("py-six", type=("build", "run"))
    depends_on("py-tabulate", type=("build", "run"))
    depends_on("py-tqdm", type=("build", "run"))
